Class | Sequel::Migration
In: | lib/sequel/extensions/migration.rb
Parent: | Object

Sequel‘s older migration class, available for backward compatibility. Uses subclasses with up and down instance methods for each migration:

      Class.new(Sequel::Migration) do
        def up
          create_table(:artists) do
            primary_key :id
            String :name
          end
        end

        def down
          drop_table(:artists)
        end
      end

Part of the `migration` extension.

### Methods

apply descendants down inherited method_missing new up

### Public Class methods

apply(db, direction)

Applies the migration to the supplied database in the specified direction.

[Source]

        # File lib/sequel/extensions/migration.rb, line 31
    31:     def self.apply(db, direction)
    32:       raise(ArgumentError, "Invalid migration direction specified (#{direction.inspect})") unless [:up, :down].include?(direction)
    33:       new(db).send(direction)
    34:     end

descendants()

Returns the list of Migration descendants.

[Source]

        # File lib/sequel/extensions/migration.rb, line 37
    37:     def self.descendants
    38:       @descendants ||= []
    39:     end

inherited(base)

Adds the new migration class to the list of Migration descendants.

[Source]

        # File lib/sequel/extensions/migration.rb, line 42
    42:     def self.inherited(base)
    43:       descendants << base
    44:     end

new(db)

Creates a new instance of the migration and sets the @db attribute.

[Source]

        # File lib/sequel/extensions/migration.rb, line 25
    25:     def initialize(db)
    26:       @db = db
    27:     end

### Public Instance methods

down()

The default down action does nothing

[Source]

        # File lib/sequel/extensions/migration.rb, line 47
    47:     def down
    48:     end

method_missing(method_sym, *args, &block)

Intercepts method calls intended for the database and sends them along.

[Source]

        # File lib/sequel/extensions/migration.rb, line 51
    51:     def method_missing(method_sym, *args, &block)
    52:       @db.send(method_sym, *args, &block)
    53:     end

up()

The default up action does nothing

[Source]

        # File lib/sequel/extensions/migration.rb, line 56
    56:     def up
    57:     end

[Validate]